<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../../wtpphoenix.xsl"?>
<html>
	<head>
		<meta name="root" content="../../" />
		<title>web tools platform 3.3.1 release notes</title>
	</head>
	<body>
		<h1>WTP 3.3.1 Release Notes</h1>

		<h2>Introduction</h2>
		<p>
			This document contains information about the WTP 3.3.1
			Release.
		</p>
		<ul>
		<!-- 
		<li>
			<a href="#press-release">Press Release</a>
		</li>
		-->
		<li>
			<a href="#new-and-noteworthy">New and Noteworthy</a>
		</li>	
		<li>
			<a href="#what-is-fixed">What is Fixed</a>
		</li>	
		<li>
			<a href="#reported-problems">Reported and Known Problems</a>
		</li>
		</ul>
		<!-- 
		<h2>
			<a name="press-release" />
			Press Release
		</h2>
		<p>
			The press release for Indigo, which incorporates WTP 3.3, can be found
			<a href="http://www.eclipse.org/org/press-release/20110623_Indigorelease.php" target="_top">here</a>.
		</p>
		-->
		<h2>
			<a name="new-and-noteworthy" />
			New and Noteworthy
		</h2>
		<p>
			The list of new and noteworthy features for WTP 3.3 is available <a href="../3.3.0/NewAndNoteworthy/index.php">here</a>.
		</p>
		<h2>
			<a name="what-is-fixed" />
			What is Fixed
		</h2>
		<p>
	The list of bugs fixed include those fixed
	<a
		href="https://bugs.eclipse.org/bugs/report.cgi?x_axis_field=bug_severity&amp;y_axis_field=product&amp;z_axis_field=&amp;query_format=report-table&amp;short_desc_type=allwordssubstr&amp;short_desc=&amp;classification=WebTools&amp;target_milestone=3.0.1&amp;target_milestone=3.0.1+M1&amp;target_milestone=3.0.1+M2&amp;target_milestone=3.0.1+M3&amp;target_milestone=3.0.1+M4&amp;target_milestone=3.0.1+M5&amp;target_milestone=3.0.1+M6&amp;target_milestone=3.0.1+M7&amp;target_milestone=3.0.1+RC0&amp;target_milestone=3.0.1+RC1&amp;target_milestone=3.0.1+RC2&amp;target_milestone=3.0.1+RC3&amp;target_milestone=3.0.1+RC4&amp;target_milestone=3.3.1&amp;target_milestone=3.3.1+RC0&amp;target_milestone=3.3.1+RC1&amp;target_milestone=3.3.1+RC2&amp;target_milestone=3.3.1+RC3&amp;target_milestone=3.3.1+RC4&amp;target_milestone=3.3.1+RC5&amp;resolution=FIXED&amp;format=table&amp;action=wrap&amp;chfieldfrom=2011-04-15&amp;chfieldto=2011-09-30&amp;chfield=resolution&amp;chfieldvalue=FIXED">in this release</a>
	.</p>
<!--
		<h2>
			<a name="adopter-hotlist-report"/>Adopter Bug Queries
		</h2>
		<p>
			WTP 3.1 adopters have requested that the following known
			problems be given high priority in the coming releases:
		<ul>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug_request&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.1.*">Requested</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.1.*">Accepted but Unresolved</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug&amp;bug_status=RESOLVED&amp;bug_status=VERIFIED&amp;bug_status=CLOSED&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.1.*">Resolved</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard_type=regexp&amp;status_whiteboard=hotbug*&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=3.1.*">All</a>
			</li>
		</ul>
		</p>
-->
		<h2>
			<a name="reported-problems" />
			Reported and Known Problems
		</h2>
		<p>
			All reported problems are recorded in the Eclipse Bugzilla
			system under:
			<ul>
				<li>
					Classification =
					<code>WebTools</code>
				</li>
				<li>
					Status =
					<code>NEW</code>
					or
					<code>ASSIGNED</code>
					or
					<code>REOPENED</code>
				</li>
			</ul>
		</p>
		<a href="https://bugs.eclipse.org/bugs/buglist.cgi?bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;bug_status=UNCONFIRMED&amp;classification=WebTools&amp;order=bugs.bug_id%20desc">All reported problems</a>
		<p>Check for suggested workarounds in the bug report comments.  <!--Here are more specific items:--></p>

		<table cellpadding="3%" >

		<tr>
		<!--
			<td><a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=number">number</a></td>
			<td> title </td>
		-->
		</tr>
		</table>
	</body>
</html>
